## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iParticlesFactoryState Struct Reference
[Mesh plugins, Mesh plugins]

Particles factory state. More...

`#include <imesh/particles.h>`

Inheritance diagram for iParticlesFactoryState:

[legend]
List of all members.

## Public Member Functions

virtual void | SetAutoStart (bool autostart)=0
| Set whether the emitter automatically starts (default: true).
virtual void | SetMaterial (iMaterialWrapper *material)=0
| Set the material to use for this particle factory.
virtual void | SetPhysicsPlugin (const char *plugin)=0
| Set the particle physics plugin (Defaults to 'crystalspace.particles.physics.simple').

## Detailed Description

Particles factory state.

Definition at line 365 of file particles.h.

## Member Function Documentation

virtual void iParticlesFactoryState::SetAutoStart | ( | bool | autostart | ) | `[pure virtual]`

| Set whether the emitter automatically starts (default: true).

virtual void iParticlesFactoryState::SetMaterial | ( | iMaterialWrapper * | material | ) | `[pure virtual]`

| Set the material to use for this particle factory.

virtual void iParticlesFactoryState::SetPhysicsPlugin | ( | const char * | plugin | ) | `[pure virtual]`

| Set the particle physics plugin (Defaults to 'crystalspace.particles.physics.simple').

The documentation for this struct was generated from the following file:

- imesh/particles.h